import { Meta } from "@storybook/blocks";

<Meta title="Colors" />

<div className="main-section">
  <div className='main-container-title'>
    # Aleph Theme Colors

    List of Alpeh Colors with their respectives names.
  </div>

  <div className="main-section">
    <div className="main-section-item">
      <p className="main-section-item-name">background: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FDFCFC'}}></div>
      <p className="main-section-item-color-name">#FDFCFC</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">backgroundOverlayMultiplier: </p>
      <p className="main-section-item-color-name">1</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">surface: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FBF9F9'}}></div>
      <p className="main-section-item-color-name">#FBF9F9</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">surfaceOverlayMultiplier: </p>
      <p className="main-section-item-color-name">1</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">surfaceBright: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FBF9F9'}}></div>
      <p className="main-section-item-color-name">#FBF9F9</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">surfaceBrightOverlayMultiplier: </p>
      <p className="main-section-item-color-name">1</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">surfaceLight: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#F1EEEE'}}></div>
      <p className="main-section-item-color-name">#F1EEEE</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">surfaceLightOverlayMultiplier: </p>
      <p className="main-section-item-color-name">1</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">surfaceVariant: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#E3E1EC'}}></div>
      <p className="main-section-item-color-name">#E3E1EC</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">surfaceVariantOverlayMultiplier: </p>
      <p className="main-section-item-color-name">2</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onSurfaceVariant: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#46464F'}}></div>
      <p className="main-section-item-color-name">#46464F</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">primary: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#3E52CA'}}></div>
      <p className="main-section-item-color-name">#3E52CA</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">primaryOverlayMultiplier: </p>
      <p className="main-section-item-color-name">2</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">primaryDarken1: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#2237B1'}}></div>
      <p className="main-section-item-color-name">#2237B1</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">primaryDarken1OverlayMultiplier: </p>
      <p className="main-section-item-color-name">2</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">secondary: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#535C87'}}></div>
      <p className="main-section-item-color-name">#535C87</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">secondaryOverlayMultiplier: </p>
      <p className="main-section-item-color-name">1</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">secondaryDarken1: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#3B446D'}}></div>
      <p className="main-section-item-color-name">#3B446D</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">secondaryDarken1OverlayMultiplier: </p>
      <p className="main-section-item-color-name">1</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">error: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#BA1A1A'}}></div>
      <p className="main-section-item-color-name">#BA1A1A</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">errorOverlayMuliplier: </p>
      <p className="main-section-item-color-name">2</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">info: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#1C1B1B'}}></div>
      <p className="main-section-item-color-name">#1C1B1B</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">infoOverlayMuliplier: </p>
      <p className="main-section-item-color-name">1</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">success: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#1C6D1E'}}></div>
      <p className="main-section-item-color-name">#1C6D1E</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">successOverlayMuliplier: </p>
      <p className="main-section-item-color-name">1</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">warning: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#CA8100'}}></div>
      <p className="main-section-item-color-name">#CA8100</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">warningOverlayMuliplier: </p>
      <p className="main-section-item-color-name">1</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onBackground: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#1C1B1B'}}></div>
      <p className="main-section-item-color-name">#1C1B1B</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onSurface: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#1C1B1B'}}></div>
      <p className="main-section-item-color-name">#1C1B1B</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onSurfaceBright: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#1C1B1B'}}></div>
      <p className="main-section-item-color-name">#1C1B1B</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onSurfaceLight: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#1C1B1B'}}></div>
      <p className="main-section-item-color-name">#1C1B1B</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onPrimary: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FFFFFF'}}></div>
      <p className="main-section-item-color-name">#FFFFFF</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onPrimaryDarken1: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FFFFFF'}}></div>
      <p className="main-section-item-color-name">#FFFFFF</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onSecondary: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FFFFFF'}}></div>
      <p className="main-section-item-color-name">#FFFFFF</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onSecondaryDarken1: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FFFFFF'}}></div>
      <p className="main-section-item-color-name">#FFFFFF</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onError: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FFFFFF'}}></div>
      <p className="main-section-item-color-name">#FFFFFF</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onInfo: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FFFFFF'}}></div>
      <p className="main-section-item-color-name">#FFFFFF</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onSuccess: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FFFFFF'}}></div>
      <p className="main-section-item-color-name">#FFFFFF</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onWarning: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FFFFFF'}}></div>
      <p className="main-section-item-color-name">#FFFFFF</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">kbd: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#212529'}}></div>
      <p className="main-section-item-color-name">#212529</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onKbd: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FFFFFF'}}></div>
      <p className="main-section-item-color-name">#FFFFFF</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">code: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#F5F5F5'}}></div>
      <p className="main-section-item-color-name">#F5F5F5</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">onCode: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#000000'}}></div>
      <p className="main-section-item-color-name">#000000</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">avatarBg1: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#F9C25D'}}></div>
      <p className="main-section-item-color-name">#F9C25D</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">avatarBg2: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#85E0DB'}}></div>
      <p className="main-section-item-color-name">#85E0DB</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">avatarBg3: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#FFBBBB'}}></div>
      <p className="main-section-item-color-name">#FFBBBB</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">avatarBg4: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#ABDB84'}}></div>
      <p className="main-section-item-color-name">#ABDB84</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">avatarBg5: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#F8A677'}}></div>
      <p className="main-section-item-color-name">#F8A677</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">avatarBg6: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#E1BBFF'}}></div>
      <p className="main-section-item-color-name">#E1BBFF</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">avatarBg7: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#C9D5E0'}}></div>
      <p className="main-section-item-color-name">#C9D5E0</p>
    </div>

    <div className="main-section-item">
      <p className="main-section-item-name">avatarBg8: </p>
      <div className="main-section-item-color" style={{backgroundColor: '#EFE176'}}></div>
      <p className="main-section-item-color-name">#EFE176</p>
    </div>
  </div>
</div>

<style>
{`
  p {
    margin-top: 0px !important;
    margin-bottom: 0px !important;
  }
  
  .main-container {
    margin-bottom: 48px;
  }

  .main-section {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  .main-section-title {
    margin-bottom: 32px;
  }

  .main-section-item {
    flex: 1;
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 10px;
    margin-top: 0px;
    margin-bottom: 0px;
  }

  .main-section-item-name {
    font-size: 24px;
    font-weight: 500;
    margin-top: 0px;
    margin-bottom: 0px;
  }

  .main-section-item-color {
    width: 20px;
    height: 20px;
    border: 0.25px solid #F0EDED;
    border-radius: 4px;
    margin-top: 0px;
    margin-bottom: 0px;
  }

  .main-section-item-color-name {
    font-weight: 600;
    font-size: 20px;
    margin-top: 0px;
    margin-bottom: 0px;
  }
`}
</style>